Option Explicit
' Creates a batch file named after this script which will set 
' a variable named after this script which points to 
' the first CDROM drive. For example, if this script is named
' FindCdrom.vbs, then a batch file will be created named FindCdrom.bat
' in the same directory. This batch file will contain the text
' set FindCdrom=D
' (assuming the first CDROM is the D drive). To use this script 
' from a batch file, run it like this:
' start /wait FindCdrom.vbs
' call FindCdrom.bat
' del FindCdrom.bat
' echo Your CDROM drive is drive %FindCdrom%
Dim ts
Dim strDriveLetter
Dim intDriveLetter
Dim fs 'As Scripting.FileSystemObject
Const CDROM = 4
    On Error Resume Next
    Set fs = CreateObject("Scripting.FileSystemObject")
    strDriveLetter = ""
    For intDriveLetter = Asc("A") To Asc("Z")
        Err.Clear
        If fs.GetDrive(Chr(intDriveLetter)).DriveType = CDROM Then
            If Err.Number = 0 Then
                strDriveLetter = Chr(intDriveLetter)
                Exit For
            End If
        End If
    Next
    'Create a batch file to set the variable
    Set ts = fs.CreateTextFile(Left(Wscript.ScriptFullName, InstrRev(Wscript.ScriptFullName, ".")) & "bat", True, False)
    ts.WriteLine "set " & Left(WScript.ScriptName, InStr(WScript.ScriptName, ".") - 1) & "=" & strDriveLetter
    ts.Close